package ch.ethz.matsim.projects.astra_2018_002.mode_choice.estimation;

public class ModeChoiceParameters {
	// Constants
	public double shortDistance = 200.0;
	public double shortDistancePenalty = -100.0;
	
	// Cost
	public double betaCostBase = -0.126;
	public double averageDistance_km = 40.0;
	public double lambdaDistanceCost = -0.4;

	public double betaCost(double distance_km) {
		distance_km = Math.max(distance_km, 0.001);
		return betaCostBase * Math.pow(distance_km / averageDistance_km, lambdaDistanceCost);
	}

	// Walk
	public double alphaWalk = 0.63;
	public double betaTravelTimeWalk_min = -0.141;

	// Bike
	public double alphaBike = -0.1;
	public double betaTravelTimeBike_min = -0.0805;
	public double betaAgeBike_yr = -0.0496;

	// Car
	public double alphaCar = 0.827;
	public double betaTravelTimeCar_min = -0.0667;

	public double distanceCostCar_km = 0.27;

	public double parkingSearchTimeCar_min = 6.0;
	public double accessEgressWalkTimeCar_min = 5.0;

	// Public Transport
	public double alphaPublicTransport = 0.0;
	public double betaNumberOfTransfersPublicTransport = -0.17;

	public double betaInVehicleTimePublicTransport_min = -0.0192;
	public double betaTransferTimePublicTransport_min = -0.0384;
	public double betaAccessEgressTimePublicTransport_min = -0.0804;
}
